Holger's Java API

## com.antelmann.db
Class MutableCategory.Entry

    java.lang.Object
      com.antelmann.db.AbstractDBEntry
          com.antelmann.db.Category.Entry
              com.antelmann.db.MutableCategory.Entry

All Implemented Interfaces:
  Category<Database<?>>, DBEntry, MutableCategory<Database<?>>, DetailedString, Serializable

Enclosing interface:
  MutableCategory<T>

    public abstract static class MutableCategory.Entry

extends Category.Entry
implements MutableCategory<Database<?>>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.db.MutableCategory
`MutableCategory.Adapter<T>, MutableCategory.Entry`

Field Summary

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Constructor Summary
`MutableCategory.Entry(Object id, String categoryName, Category<Database<?>> parent)`

Method Summary
`MutableCategory<Database<?>>` `getParentCategory()` returns the super category that this category belongs to - or null if it is a top-level category
`List<? extends MutableCategory<Database<?>>>` `getSubCategories(Database<?> context)` retrieves a list of sub-categories for this category
`void` `setParentCategory(MutableCategory<Database<?>> parent)`

Methods inherited from class com.antelmann.db.Category.Entry
`getCategoryName, setCategoryName, setParentCategory, toDetailedString, toString`

Methods inherited from class com.antelmann.db.AbstractDBEntry
`equals, getID, hashCode, hashEntry, sameEntry`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.antelmann.db.Category
`getCategoryName`

Constructor Detail

### MutableCategory.Entry

    public MutableCategory.Entry(Object id,
                                 String categoryName,
                                 Category<Database<?>> parent)

Method Detail

### getParentCategory

    public MutableCategory<Database<?>> getParentCategory()

  Description copied from interface: `Category`
  returns the super category that this category belongs to - or null if it is a top-level category

  Specified by:
    `getParentCategory` in interface `Category<Database<?>>`
  Specified by:
    `getParentCategory` in interface `MutableCategory<Database<?>>`
  Overrides:
    `getParentCategory` in class `Category.Entry`

### setParentCategory

    public void setParentCategory(MutableCategory<Database<?>> parent)

  Specified by:
    `setParentCategory` in interface `MutableCategory<Database<?>>`

### getSubCategories

    public List<? extends MutableCategory<Database<?>>> getSubCategories(Database<?> context)
                                                                  throws IOException

  Description copied from interface: `Category`
  retrieves a list of sub-categories for this category

  Specified by:
    `getSubCategories` in interface `Category<Database<?>>`
  Specified by:
    `getSubCategories` in interface `MutableCategory<Database<?>>`
  Overrides:
    `getSubCategories` in class `Category.Entry`
  Parameters:
    `context` - the object (typically a database, a file, a URL, etc.) that provides the information required to derive the children from.
  Returns:
    a list of Category objects that have this instance as a parent
  Throws:
    `IOException` - if the categories could not be retrieved

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads